Read QR code from invoice
curl --request POST \
--url https://api.example.com/v1/invoices/qrcode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base64_file": "JVBERi0xLjcKCjEgMCBvYmogICUgZW50...",
"options": {
"page": 1,
"validate_format": true
}
}
'import requests
url = "https://api.example.com/v1/invoices/qrcode"
payload = {
"base64_file": "JVBERi0xLjcKCjEgMCBvYmogICUgZW50...",
"options": {
"page": 1,
"validate_format": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base64_file: 'JVBERi0xLjcKCjEgMCBvYmogICUgZW50...',
options: {page: 1, validate_format: true}
})
};
fetch('https://api.example.com/v1/invoices/qrcode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"qr_info": {
"iban": "<string>",
"creditor": {
"name": "<string>",
"address": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "<string>"
},
"amount": 123,
"currency": "<string>",
"reference": "<string>",
"message": "<string>"
}
}{
"code": "invalid_input",
"message": "Invalid input data",
"details": {}
}Processing
Read QR code from invoice
Extract payment information from Swiss QR-bills
POST
/
v1
/
invoices
/
qrcode
Read QR code from invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
QR code content
Show child attributes
Show child attributes
⌘I